diff --git a/drivers/gpu/drm/rockchip/ebc-dev/ebc_dev_v8.S b/drivers/gpu/drm/rockchip/ebc-dev/ebc_dev_v8.S
index bdc4e186657a..66959f00f029 100644
--- a/drivers/gpu/drm/rockchip/ebc-dev/ebc_dev_v8.S
+++ b/drivers/gpu/drm/rockchip/ebc-dev/ebc_dev_v8.S
@@ -6132,1052 +6132,1025 @@ ebc_suspend:
 	.type	ebc_probe, %function
 ebc_probe:
 .LFB2848:
-	.loc 1 2328 0
+	.loc 1 2334 0
 	.cfi_startproc
 .LVL518:
 	stp	x29, x30, [sp, -208]!
 	.cfi_def_cfa_offset 208
 	.cfi_offset 29, -208
 	.cfi_offset 30, -200
-.LBB1563:
-.LBB1564:
+.LBB1580:
+.LBB1581:
 	.loc 2 711 0
 	mov	w2, 32960
 	movk	w2, 0x60, lsl 16
-.LBE1564:
-.LBE1563:
-	.loc 1 2328 0
+.LBE1581:
+.LBE1580:
+	.loc 1 2334 0
 	add	x29, sp, 0
 	.cfi_def_cfa_register 29
-	stp	x19, x20, [sp, 16]
-	.cfi_offset 19, -192
-	.cfi_offset 20, -184
-	.loc 1 2329 0
-	add	x20, x0, 16
-	.loc 1 2328 0
+	stp	x21, x22, [sp, 32]
+	.cfi_offset 21, -176
+	.cfi_offset 22, -168
+	.loc 1 2335 0
+	add	x22, x0, 16
+	.loc 1 2334 0
 	stp	x23, x24, [sp, 48]
 	.cfi_offset 23, -160
 	.cfi_offset 24, -152
 	adrp	x23, __stack_chk_guard
-	stp	x21, x22, [sp, 32]
+	stp	x19, x20, [sp, 16]
 	add	x0, x23, :lo12:__stack_chk_guard
 .LVL519:
 	stp	x25, x26, [sp, 64]
 	stp	x27, x28, [sp, 80]
-	.cfi_offset 21, -176
-	.cfi_offset 22, -168
+	.cfi_offset 19, -192
+	.cfi_offset 20, -184
 	.cfi_offset 25, -144
 	.cfi_offset 26, -136
 	.cfi_offset 27, -128
 	.cfi_offset 28, -120
-	.loc 1 2328 0
+	.loc 1 2334 0
 	ldr	x1, [x0]
 	str	x1, [x29, 200]
 	mov	x1,0
-.LBB1566:
-.LBB1565:
+.LBB1583:
+.LBB1582:
 	.loc 2 711 0
-	mov	x0, x20
+	mov	x0, x22
 	mov	x1, 800
 	bl	devm_kmalloc
 .LVL520:
-.LBE1565:
-.LBE1566:
-	.loc 1 2340 0
-	cbz	x0, .L640
-	.loc 1 2344 0
-	adrp	x25, .LANCHOR0
-	mov	x19, x0
-	.loc 1 2346 0
+.LBE1582:
+.LBE1583:
+	.loc 1 2350 0
+	cbz	x0, .L645
+	.loc 1 2354 0
+	adrp	x24, .LANCHOR0
+	mov	x20, x0
+	.loc 1 2356 0
 	adrp	x1, .LC25
 	mov	w2, 0
-	.loc 1 2344 0
-	str	x0, [x25, #:lo12:.LANCHOR0]
-	.loc 1 2346 0
+	.loc 1 2354 0
+	str	x0, [x24, #:lo12:.LANCHOR0]
+	.loc 1 2356 0
 	add	x1, x1, :lo12:.LC25
-	ldr	x0, [x20, 752]
-	.loc 1 2343 0
-	str	x20, [x19]
-	.loc 1 2346 0
+	ldr	x0, [x22, 752]
+	.loc 1 2353 0
+	str	x22, [x20]
+	.loc 1 2356 0
 	bl	of_parse_phandle
 .LVL521:
-	.loc 1 2347 0
-	cbz	x0, .L680
-	.loc 1 2352 0
+	.loc 1 2357 0
+	cbz	x0, .L690
+	.loc 1 2362 0
 	bl	of_find_device_by_node
 .LVL522:
-	.loc 1 2354 0
+	.loc 1 2364 0
 	cbz	x0, .L599
-.LBB1567:
-.LBB1568:
-.LBB1569:
+.LBB1584:
+.LBB1585:
+.LBB1586:
 	.loc 2 1181 0
 	ldr	x0, [x0, 200]
 .LVL523:
-.LBE1569:
-.LBE1568:
-.LBE1567:
-	.loc 1 2357 0
-	str	x0, [x19, 8]
-	.loc 1 2358 0
+.LBE1586:
+.LBE1585:
+.LBE1584:
+	.loc 1 2367 0
+	str	x0, [x20, 8]
+	.loc 1 2368 0
 	cbz	x0, .L599
-	.loc 1 2360 0
+	.loc 1 2370 0
 	adrp	x1, frame_done_callback
 	add	x1, x1, :lo12:frame_done_callback
 	str	x1, [x0, 104]
-	.loc 1 2362 0
-	mov	w2, 0
+	.loc 1 2372 0
+	add	x2, x29, 96
 	adrp	x1, .LC27
 	add	x1, x1, :lo12:.LC27
-	ldr	x0, [x20, 752]
-	bl	of_parse_phandle
+	ldr	x0, [x22, 752]
+	bl	of_get_property
 .LVL524:
-	.loc 1 2363 0
-	cbz	x0, .L681
-	.loc 1 2368 0
-	bl	of_find_i2c_device_by_node
+	mov	x21, x0
 .LVL525:
-	.loc 1 2370 0
-	cbz	x0, .L682
-.LBB1570:
-.LBB1571:
-.LBB1572:
-	.loc 2 1181 0
-	ldr	x0, [x0, 216]
+	.loc 1 2373 0
+	ldrsw	x0, [x29, 96]
 .LVL526:
-.LBE1572:
-.LBE1571:
-.LBE1570:
-	.loc 1 2374 0
-	str	x0, [x19, 16]
-	.loc 1 2375 0
-	cbz	x0, .L683
-	.loc 1 2381 0
-	add	x21, x19, 184
+	lsr	x0, x0, 2
 .LVL527:
-	.loc 1 2383 0
-	add	x22, x19, 24
-	.loc 1 2381 0
-	str	x20, [x21, 88]
-.LBB1573:
-.LBB1574:
-.LBB1575:
-.LBB1576:
-.LBB1577:
-	.file 14 "./include/linux/of.h"
-	.loc 14 499 0
-	adrp	x1, .LC31
-.LBE1577:
-.LBE1576:
-.LBE1575:
-.LBE1574:
-.LBE1573:
-	.loc 1 2383 0
-	str	x20, [x19, 24]
-.LBB1672:
-.LBB1668:
-.LBB1584:
-.LBB1581:
-.LBB1578:
-	.loc 14 499 0
-	mov	x4, 0
-.LBE1578:
-.LBE1581:
-.LBE1584:
-.LBE1668:
-.LBE1672:
-	.loc 1 2384 0
-	ldr	x2, [x19, 8]
-.LBB1673:
-.LBB1669:
-.LBB1585:
-.LBB1582:
-.LBB1579:
-	.loc 14 499 0
-	add	x1, x1, :lo12:.LC31
-.LBE1579:
-.LBE1582:
-.LBE1585:
-.LBE1669:
-.LBE1673:
-	.loc 1 2385 0
-	stp	x2, x0, [x22, 8]
-.LBB1674:
-.LBB1670:
-.LBB1586:
-.LBB1583:
-.LBB1580:
-	.loc 14 499 0
-	mov	x3, 1
-	ldr	x0, [x20, 752]
-	add	x2, x19, 100
-	bl	of_property_read_variable_u32_array
+	str	w0, [x29, 96]
 .LVL528:
-	.loc 14 501 0
-	tbnz	w0, #31, .L604
-.LBE1580:
-.LBE1583:
-.LBE1586:
+	.loc 1 2374 0
+	cmp	w0, 0
+	beq	.L600
+	.loc 1 2379 0 discriminator 1
+	mov	w19, 0
+.LVL529:
+	bgt	.L674
+	b	.L602
+	.p2align 3
+.L603:
+	.loc 1 2387 0
+	bl	of_find_i2c_device_by_node
+.LVL530:
+	.loc 1 2389 0
+	cbz	x0, .L691
 .LBB1587:
 .LBB1588:
 .LBB1589:
-	.loc 14 499 0
-	ldr	x0, [x20, 752]
-	adrp	x1, .LC55
-	mov	x4, 0
-	mov	x3, 1
-	add	x2, x19, 104
-	add	x1, x1, :lo12:.LC55
-	bl	of_property_read_variable_u32_array
-.LVL529:
-	.loc 14 501 0
-	tbnz	w0, #31, .L604
+	.loc 2 1181 0
+	ldr	x0, [x0, 216]
+.LVL531:
 .LBE1589:
 .LBE1588:
 .LBE1587:
+	.loc 1 2394 0
+	str	x0, [x20, 16]
+	.loc 1 2395 0
+	cbnz	x0, .L692
+	.loc 1 2379 0 discriminator 2
+	ldr	w0, [x29, 96]
+	add	w19, w19, 1
+.LVL532:
+	cmp	w0, w19
+	ble	.L607
+.L674:
+	ldr	w0, [x21], 4
+	.loc 1 2381 0
+	rev	w0, w0
+	bl	of_find_node_by_phandle
+.LVL533:
+	.loc 1 2382 0
+	cbnz	x0, .L603
+	.loc 1 2383 0
+	adrp	x1, .LC29
+	mov	x0, x22
+	add	x1, x1, :lo12:.LC29
+	.loc 1 2384 0
+	mov	w25, -19
+	.loc 1 2383 0
+	bl	_dev_err
+.LVL534:
+	.p2align 2
+.L595:
+	.loc 1 2460 0
+	add	x23, x23, :lo12:__stack_chk_guard
+	mov	w0, w25
+.LVL535:
+	ldr	x2, [x29, 200]
+	ldr	x1, [x23]
+	eor	x1, x2, x1
+	cbnz	x1, .L693
+	ldp	x19, x20, [sp, 16]
+.LVL536:
+	ldp	x21, x22, [sp, 32]
+.LVL537:
+	ldp	x23, x24, [sp, 48]
+.LVL538:
+	ldp	x25, x26, [sp, 64]
+.LVL539:
+	ldp	x27, x28, [sp, 80]
+.LVL540:
+	ldp	x29, x30, [sp], 208
+	.cfi_remember_state
+	.cfi_restore 30
+	.cfi_restore 29
+	.cfi_restore 27
+	.cfi_restore 28
+	.cfi_restore 25
+	.cfi_restore 26
+	.cfi_restore 23
+	.cfi_restore 24
+	.cfi_restore 21
+	.cfi_restore 22
+	.cfi_restore 19
+	.cfi_restore 20
+	.cfi_def_cfa 31, 0
+	ret
+.LVL541:
+	.p2align 3
+.L692:
+	.cfi_restore_state
+	.loc 1 2396 0
+	adrp	x1, .LC31
+	mov	w2, w19
+	add	x1, x1, :lo12:.LC31
+	mov	x0, x22
+	bl	_dev_info
+.LVL542:
+.L602:
+	.loc 1 2401 0
+	ldr	x0, [x20, 16]
+	cbz	x0, .L607
+	.loc 1 2407 0
+	add	x19, x20, 184
+.LVL543:
+	.loc 1 2409 0
+	add	x21, x20, 24
+.LVL544:
+	.loc 1 2407 0
+	str	x22, [x19, 88]
 .LBB1590:
 .LBB1591:
 .LBB1592:
+.LBB1593:
+.LBB1594:
+	.file 14 "./include/linux/of.h"
 	.loc 14 499 0
-	ldr	x0, [x20, 752]
-	adrp	x1, .LC56
-	mov	x4, 0
-	mov	x3, 1
-	add	x2, x19, 108
-	add	x1, x1, :lo12:.LC56
-	bl	of_property_read_variable_u32_array
-.LVL530:
-	.loc 14 501 0
-	tbnz	w0, #31, .L604
+	adrp	x1, .LC33
+.LBE1594:
+.LBE1593:
 .LBE1592:
 .LBE1591:
 .LBE1590:
-.LBB1593:
-.LBB1594:
+	.loc 1 2409 0
+	str	x22, [x20, 24]
+.LBB1664:
+.LBB1661:
+.LBB1601:
+.LBB1598:
 .LBB1595:
 	.loc 14 499 0
-	ldr	x0, [x20, 752]
-	adrp	x1, .LC57
 	mov	x4, 0
-	mov	x3, 1
-	add	x2, x19, 112
-	add	x1, x1, :lo12:.LC57
-	bl	of_property_read_variable_u32_array
-.LVL531:
-	.loc 14 501 0
-	tbnz	w0, #31, .L604
 .LBE1595:
-.LBE1594:
-.LBE1593:
+.LBE1598:
+.LBE1601:
+.LBE1661:
+.LBE1664:
+	.loc 1 2410 0
+	ldr	x2, [x20, 8]
+.LBB1665:
+.LBB1662:
+.LBB1602:
+.LBB1599:
 .LBB1596:
-.LBB1597:
-.LBB1598:
 	.loc 14 499 0
-	ldr	x0, [x20, 752]
-	adrp	x1, .LC58
-	mov	x4, 0
-	mov	x3, 1
-	add	x2, x19, 128
-	add	x1, x1, :lo12:.LC58
-	bl	of_property_read_variable_u32_array
-.LVL532:
-	.loc 14 501 0
-	tbnz	w0, #31, .L604
-.LBE1598:
-.LBE1597:
+	add	x1, x1, :lo12:.LC33
 .LBE1596:
-.LBB1599:
+.LBE1599:
+.LBE1602:
+.LBE1662:
+.LBE1665:
+	.loc 1 2411 0
+	stp	x2, x0, [x21, 8]
+.LBB1666:
+.LBB1663:
+.LBB1603:
 .LBB1600:
-.LBB1601:
+.LBB1597:
 	.loc 14 499 0
-	ldr	x0, [x20, 752]
-	adrp	x1, .LC59
-	mov	x4, 0
 	mov	x3, 1
-	add	x2, x19, 132
-	add	x1, x1, :lo12:.LC59
+	ldr	x0, [x22, 752]
+	add	x2, x20, 100
 	bl	of_property_read_variable_u32_array
-.LVL533:
+.LVL545:
 	.loc 14 501 0
-	tbnz	w0, #31, .L604
-.LBE1601:
+	tbnz	w0, #31, .L609
+.LBE1597:
 .LBE1600:
-.LBE1599:
-.LBB1602:
-.LBB1603:
+.LBE1603:
 .LBB1604:
+.LBB1605:
+.LBB1606:
 	.loc 14 499 0
-	ldr	x0, [x20, 752]
-	adrp	x1, .LC60
+	ldr	x0, [x22, 752]
+	adrp	x1, .LC57
 	mov	x4, 0
 	mov	x3, 1
-	add	x2, x19, 136
-	add	x1, x1, :lo12:.LC60
+	add	x2, x20, 104
+	add	x1, x1, :lo12:.LC57
 	bl	of_property_read_variable_u32_array
-.LVL534:
+.LVL546:
 	.loc 14 501 0
-	tbnz	w0, #31, .L604
+	tbnz	w0, #31, .L609
+.LBE1606:
+.LBE1605:
 .LBE1604:
-.LBE1603:
-.LBE1602:
-.LBB1605:
-.LBB1606:
 .LBB1607:
-	.loc 14 499 0
-	ldr	x0, [x20, 752]
-	adrp	x1, .LC61
-	mov	x4, 0
-	mov	x3, 1
-	add	x2, x19, 140
-	add	x1, x1, :lo12:.LC61
-	bl	of_property_read_variable_u32_array
-.LVL535:
-	.loc 14 501 0
-	tbnz	w0, #31, .L604
-.LBE1607:
-.LBE1606:
-.LBE1605:
 .LBB1608:
 .LBB1609:
-.LBB1610:
 	.loc 14 499 0
-	ldr	x0, [x20, 752]
-	adrp	x1, .LC62
+	ldr	x0, [x22, 752]
+	adrp	x1, .LC58
 	mov	x4, 0
 	mov	x3, 1
-	add	x2, x19, 144
-	add	x1, x1, :lo12:.LC62
+	add	x2, x20, 108
+	add	x1, x1, :lo12:.LC58
 	bl	of_property_read_variable_u32_array
-.LVL536:
+.LVL547:
 	.loc 14 501 0
-	tbnz	w0, #31, .L604
-.LBE1610:
+	tbnz	w0, #31, .L609
 .LBE1609:
 .LBE1608:
+.LBE1607:
+.LBB1610:
 .LBB1611:
 .LBB1612:
-.LBB1613:
 	.loc 14 499 0
-	ldr	x0, [x20, 752]
-	adrp	x1, .LC63
+	ldr	x0, [x22, 752]
+	adrp	x1, .LC59
 	mov	x4, 0
 	mov	x3, 1
-	add	x2, x19, 148
-	add	x1, x1, :lo12:.LC63
+	add	x2, x20, 112
+	add	x1, x1, :lo12:.LC59
 	bl	of_property_read_variable_u32_array
-.LVL537:
+.LVL548:
 	.loc 14 501 0
-	tbnz	w0, #31, .L604
-.LBE1613:
+	tbnz	w0, #31, .L609
 .LBE1612:
 .LBE1611:
+.LBE1610:
+.LBB1613:
 .LBB1614:
 .LBB1615:
-.LBB1616:
 	.loc 14 499 0
-	ldr	x0, [x20, 752]
-	adrp	x1, .LC64
+	ldr	x0, [x22, 752]
+	adrp	x1, .LC60
 	mov	x4, 0
 	mov	x3, 1
-	add	x2, x19, 152
-	add	x1, x1, :lo12:.LC64
+	add	x2, x20, 128
+	add	x1, x1, :lo12:.LC60
 	bl	of_property_read_variable_u32_array
-.LVL538:
+.LVL549:
 	.loc 14 501 0
-	tbnz	w0, #31, .L604
-.LBE1616:
+	tbnz	w0, #31, .L609
 .LBE1615:
 .LBE1614:
+.LBE1613:
+.LBB1616:
 .LBB1617:
 .LBB1618:
-.LBB1619:
 	.loc 14 499 0
-	ldr	x0, [x20, 752]
-	adrp	x1, .LC65
+	ldr	x0, [x22, 752]
+	adrp	x1, .LC61
 	mov	x4, 0
 	mov	x3, 1
-	add	x2, x19, 156
-	add	x1, x1, :lo12:.LC65
+	add	x2, x20, 132
+	add	x1, x1, :lo12:.LC61
 	bl	of_property_read_variable_u32_array
-.LVL539:
+.LVL550:
 	.loc 14 501 0
-	tbnz	w0, #31, .L604
-.LBE1619:
+	tbnz	w0, #31, .L609
 .LBE1618:
 .LBE1617:
+.LBE1616:
+.LBB1619:
 .LBB1620:
 .LBB1621:
-.LBB1622:
 	.loc 14 499 0
-	ldr	x0, [x20, 752]
-	adrp	x1, .LC66
+	ldr	x0, [x22, 752]
+	adrp	x1, .LC62
 	mov	x4, 0
 	mov	x3, 1
-	add	x2, x19, 160
-	add	x1, x1, :lo12:.LC66
+	add	x2, x20, 136
+	add	x1, x1, :lo12:.LC62
 	bl	of_property_read_variable_u32_array
-.LVL540:
+.LVL551:
 	.loc 14 501 0
-	tbnz	w0, #31, .L604
-.LBE1622:
+	tbnz	w0, #31, .L609
 .LBE1621:
 .LBE1620:
+.LBE1619:
+.LBB1622:
 .LBB1623:
 .LBB1624:
-.LBB1625:
 	.loc 14 499 0
-	ldr	x0, [x20, 752]
-	adrp	x1, .LC67
+	ldr	x0, [x22, 752]
+	adrp	x1, .LC63
 	mov	x4, 0
 	mov	x3, 1
-	add	x2, x19, 164
-	add	x1, x1, :lo12:.LC67
+	add	x2, x20, 140
+	add	x1, x1, :lo12:.LC63
 	bl	of_property_read_variable_u32_array
-.LVL541:
+.LVL552:
 	.loc 14 501 0
-	tbnz	w0, #31, .L604
-.LBE1625:
+	tbnz	w0, #31, .L609
 .LBE1624:
 .LBE1623:
+.LBE1622:
+.LBB1625:
 .LBB1626:
 .LBB1627:
-.LBB1628:
 	.loc 14 499 0
-	ldr	x0, [x20, 752]
-	adrp	x1, .LC68
+	ldr	x0, [x22, 752]
+	adrp	x1, .LC64
 	mov	x4, 0
 	mov	x3, 1
-	add	x2, x19, 168
-	add	x1, x1, :lo12:.LC68
+	add	x2, x20, 144
+	add	x1, x1, :lo12:.LC64
 	bl	of_property_read_variable_u32_array
-.LVL542:
+.LVL553:
 	.loc 14 501 0
-	tbnz	w0, #31, .L604
-.LBE1628:
+	tbnz	w0, #31, .L609
 .LBE1627:
 .LBE1626:
+.LBE1625:
+.LBB1628:
 .LBB1629:
 .LBB1630:
-.LBB1631:
 	.loc 14 499 0
-	ldr	x0, [x20, 752]
-	adrp	x1, .LC69
+	ldr	x0, [x22, 752]
+	adrp	x1, .LC65
 	mov	x4, 0
 	mov	x3, 1
-	add	x2, x19, 172
-	add	x1, x1, :lo12:.LC69
+	add	x2, x20, 148
+	add	x1, x1, :lo12:.LC65
 	bl	of_property_read_variable_u32_array
-.LVL543:
+.LVL554:
 	.loc 14 501 0
-	tbnz	w0, #31, .L684
-.LBE1631:
+	tbnz	w0, #31, .L609
 .LBE1630:
 .LBE1629:
+.LBE1628:
+.LBB1631:
 .LBB1632:
 .LBB1633:
-.LBB1634:
 	.loc 14 499 0
-	ldr	x0, [x20, 752]
-	adrp	x1, .LC32
+	ldr	x0, [x22, 752]
+	adrp	x1, .LC66
 	mov	x4, 0
 	mov	x3, 1
-	add	x2, x19, 176
-	add	x1, x1, :lo12:.LC32
+	add	x2, x20, 152
+	add	x1, x1, :lo12:.LC66
 	bl	of_property_read_variable_u32_array
-.LVL544:
+.LVL555:
 	.loc 14 501 0
-	tbnz	w0, #31, .L605
-.L631:
-.LBE1634:
+	tbnz	w0, #31, .L609
 .LBE1633:
 .LBE1632:
+.LBE1631:
+.LBB1634:
+.LBB1635:
+.LBB1636:
+	.loc 14 499 0
+	ldr	x0, [x22, 752]
+	adrp	x1, .LC67
+	mov	x4, 0
+	mov	x3, 1
+	add	x2, x20, 156
+	add	x1, x1, :lo12:.LC67
+	bl	of_property_read_variable_u32_array
+.LVL556:
+	.loc 14 501 0
+	tbnz	w0, #31, .L609
+.LBE1636:
+.LBE1635:
+.LBE1634:
+.LBB1637:
+.LBB1638:
 .LBB1639:
+	.loc 14 499 0
+	ldr	x0, [x22, 752]
+	adrp	x1, .LC68
+	mov	x4, 0
+	mov	x3, 1
+	add	x2, x20, 160
+	add	x1, x1, :lo12:.LC68
+	bl	of_property_read_variable_u32_array
+.LVL557:
+	.loc 14 501 0
+	tbnz	w0, #31, .L609
+.LBE1639:
+.LBE1638:
+.LBE1637:
 .LBB1640:
 .LBB1641:
+.LBB1642:
 	.loc 14 499 0
-	ldr	x0, [x20, 752]
-	adrp	x1, .LC33
+	ldr	x0, [x22, 752]
+	adrp	x1, .LC69
 	mov	x4, 0
 	mov	x3, 1
-	add	x2, x19, 180
-	add	x1, x1, :lo12:.LC33
+	add	x2, x20, 164
+	add	x1, x1, :lo12:.LC69
 	bl	of_property_read_variable_u32_array
-.LVL545:
+.LVL558:
 	.loc 14 501 0
-	tbnz	w0, #31, .L606
-.L632:
+	tbnz	w0, #31, .L609
+.LBE1642:
 .LBE1641:
 .LBE1640:
-.LBE1639:
+.LBB1643:
+.LBB1644:
+.LBB1645:
+	.loc 14 499 0
+	ldr	x0, [x22, 752]
+	adrp	x1, .LC70
+	mov	x4, 0
+	mov	x3, 1
+	add	x2, x20, 168
+	add	x1, x1, :lo12:.LC70
+	bl	of_property_read_variable_u32_array
+.LVL559:
+	.loc 14 501 0
+	tbnz	w0, #31, .L609
+.LBE1645:
+.LBE1644:
+.LBE1643:
 .LBB1646:
 .LBB1647:
 .LBB1648:
 	.loc 14 499 0
-	ldr	x0, [x20, 752]
-	adrp	x1, .LC34
+	ldr	x0, [x22, 752]
+	adrp	x1, .LC71
 	mov	x4, 0
 	mov	x3, 1
-	add	x2, x19, 116
-	add	x1, x1, :lo12:.LC34
+	add	x2, x20, 172
+	add	x1, x1, :lo12:.LC71
 	bl	of_property_read_variable_u32_array
-.LVL546:
+.LVL560:
 	.loc 14 501 0
-	tbnz	w0, #31, .L607
-.L633:
+	tbz	w0, #31, .L635
 .LBE1648:
 .LBE1647:
 .LBE1646:
+	.loc 1 1714 0
+	str	wzr, [x21, 148]
+.L635:
+.LBB1649:
+.LBB1650:
+.LBB1651:
+	.loc 14 499 0
+	ldr	x0, [x22, 752]
+	adrp	x1, .LC34
+	mov	x4, 0
+	mov	x3, 1
+	add	x2, x20, 176
+	add	x1, x1, :lo12:.LC34
+	bl	of_property_read_variable_u32_array
+.LVL561:
+	.loc 14 501 0
+	tbz	w0, #31, .L636
+.LBE1651:
+.LBE1650:
+.LBE1649:
+	.loc 1 1717 0
+	str	wzr, [x21, 152]
+.L636:
+.LBB1652:
 .LBB1653:
 .LBB1654:
-.LBB1655:
 	.loc 14 499 0
-	ldr	x0, [x20, 752]
+	ldr	x0, [x22, 752]
 	adrp	x1, .LC35
 	mov	x4, 0
 	mov	x3, 1
-	add	x2, x19, 120
+	add	x2, x20, 180
 	add	x1, x1, :lo12:.LC35
 	bl	of_property_read_variable_u32_array
-.LVL547:
+.LVL562:
 	.loc 14 501 0
-	tbnz	w0, #31, .L608
-.L634:
-.LBE1655:
+	tbz	w0, #31, .L637
 .LBE1654:
 .LBE1653:
-.LBE1670:
-.LBE1674:
-	.loc 1 2393 0
-	ldr	w0, [x22, 88]
-.LBB1675:
-.LBB1676:
-	.loc 1 2130 0
+.LBE1652:
+	.loc 1 1720 0
+	str	wzr, [x21, 156]
+.L637:
+.LBB1655:
+.LBB1656:
+.LBB1657:
+	.loc 14 499 0
+	ldr	x0, [x22, 752]
+	adrp	x1, .LC36
+	mov	x4, 0
+	mov	x3, 1
+	add	x2, x20, 116
+	add	x1, x1, :lo12:.LC36
+	bl	of_property_read_variable_u32_array
+.LVL563:
+	.loc 14 501 0
+	tbz	w0, #31, .L638
+.LBE1657:
+.LBE1656:
+.LBE1655:
+	.loc 1 1723 0
+	str	wzr, [x21, 92]
+.L638:
+.LBB1658:
+.LBB1659:
+.LBB1660:
+	.loc 14 499 0
+	ldr	x0, [x22, 752]
+	adrp	x1, .LC37
+	mov	x4, 0
+	mov	x3, 1
+	add	x2, x20, 120
+	add	x1, x1, :lo12:.LC37
+	bl	of_property_read_variable_u32_array
+.LVL564:
+	.loc 14 501 0
+	tbz	w0, #31, .L639
+.LBE1660:
+.LBE1659:
+.LBE1658:
+	.loc 1 1726 0
+	str	wzr, [x21, 96]
+.L639:
+.LBE1663:
+.LBE1666:
+	.loc 1 2419 0
+	ldr	w0, [x21, 88]
+.LBB1667:
+.LBB1668:
+	.loc 1 2136 0
 	mov	w2, 0
-.LBE1676:
-.LBE1675:
-	.loc 1 2393 0
-	str	w0, [x21, 52]
-	.loc 1 2394 0
-	ldr	w1, [x22, 84]
-	str	w1, [x21, 56]
-	.loc 1 2397 0
+.LBE1668:
+.LBE1667:
+	.loc 1 2419 0
+	str	w0, [x19, 52]
+	.loc 1 2420 0
+	ldr	w1, [x21, 84]
+	str	w1, [x19, 56]
+	.loc 1 2423 0
 	tst	x1, 15
-	.loc 1 2395 0
+	.loc 1 2421 0
 	mul	w0, w0, w1
-	.loc 1 2397 0
+	.loc 1 2423 0
 	cset	w1, eq
-	str	w1, [x21, 72]
-.LBB1700:
-.LBB1695:
-	.loc 1 2130 0
-	adrp	x1, .LC36
-	add	x1, x1, :lo12:.LC36
-.LBE1695:
-.LBE1700:
-	.loc 1 2395 0
+	str	w1, [x19, 72]
+.LBB1692:
+.LBB1687:
+	.loc 1 2136 0
+	adrp	x1, .LC38
+	add	x1, x1, :lo12:.LC38
+.LBE1687:
+.LBE1692:
+	.loc 1 2421 0
 	lsr	w3, w0, 1
-	.loc 1 2396 0
+	.loc 1 2422 0
 	lsr	w0, w0, 2
-	stp	w3, w0, [x21, 20]
-.LBB1701:
-.LBB1696:
-	.loc 1 2121 0
-	ldr	x26, [x19]
-.LVL548:
-	.loc 1 2130 0
+	stp	w3, w0, [x19, 20]
+.LBB1693:
+.LBB1688:
+	.loc 1 2127 0
+	ldr	x26, [x20]
+.LVL565:
+	.loc 1 2136 0
 	ldr	x0, [x26, 752]
 	bl	of_parse_phandle
-.LVL549:
-	.loc 1 2131 0
-	cbz	x0, .L641
-	.loc 1 2134 0
+.LVL566:
+	.loc 1 2137 0
+	cbz	x0, .L646
+	.loc 1 2140 0
 	add	x2, x29, 104
 	mov	w1, 0
 	bl	of_address_to_resource
-.LVL550:
-	mov	w24, w0
-	.loc 1 2136 0
-	cbnz	w0, .L685
-.LBB1677:
-.LBB1678:
+.LVL567:
+	mov	w25, w0
+	.loc 1 2142 0
+	cbnz	w0, .L694
+.LBB1669:
+.LBB1670:
 	.file 15 "./include/linux/ioport.h"
 	.loc 15 204 0
 	ldp	x1, x2, [x29, 104]
-.LBE1678:
-.LBE1677:
-	.loc 1 2141 0
-	str	x1, [x19, 184]
-	.loc 1 2144 0
+.LBE1670:
+.LBE1669:
+	.loc 1 2147 0
+	str	x1, [x20, 184]
+	.loc 1 2150 0
 	mov	x3, 1
 	mov	x0, x26
-.LBB1680:
-.LBB1679:
+.LBB1672:
+.LBB1671:
 	.loc 15 204 0
 	add	x2, x2, 1
 	sub	x2, x2, x1
-.LBE1679:
-.LBE1680:
-	.loc 1 2142 0
-	str	w2, [x21, 16]
-	.loc 1 2144 0
+.LBE1671:
+.LBE1672:
+	.loc 1 2148 0
+	str	w2, [x19, 16]
+	.loc 1 2150 0
 	sxtw	x2, w2
 	bl	devm_memremap
-.LVL551:
-	str	x0, [x21, 8]
-	.loc 1 2146 0
-	cbz	x0, .L612
-	.loc 1 2154 0
+.LVL568:
+	str	x0, [x19, 8]
+	.loc 1 2152 0
+	cbz	x0, .L617
+	.loc 1 2160 0
 	mov	x1, x0
-	ldr	w2, [x21, 16]
-	ldr	x0, [x19, 184]
+	ldr	w2, [x19, 16]
+	ldr	x0, [x20, 184]
 	mov	w4, 4
 	mov	w3, 2097152
 	bl	ebc_buf_init
-.LVL552:
-	.loc 1 2155 0
-	cbnz	w0, .L612
-	.loc 1 2160 0
-	ldr	x0, [x21, 8]
+.LVL569:
 	.loc 1 2161 0
+	cbnz	w0, .L617
+	.loc 1 2166 0
+	ldr	x0, [x19, 8]
+	.loc 1 2167 0
 	mov	x5, 1048576
-	str	x5, [x22, 40]
-.LBB1681:
-.LBB1682:
+	str	x5, [x21, 40]
+.LBB1673:
+.LBB1674:
 	.loc 2 711 0
 	mov	w2, 32960
-.LBE1682:
-.LBE1681:
-	.loc 1 2160 0
+.LBE1674:
+.LBE1673:
+	.loc 1 2166 0
 	add	x6, x0, 10485760
-	str	x6, [x22, 24]
+	str	x6, [x21, 24]
 	add	x4, x0, 11534336
-	.loc 1 2166 0
+	.loc 1 2172 0
 	add	x1, x0, 12582912
-	.loc 1 2162 0
-	ldr	x3, [x19, 184]
-.LBB1686:
-.LBB1683:
+	.loc 1 2168 0
+	ldr	x3, [x20, 184]
+.LBB1678:
+.LBB1675:
 	.loc 2 711 0
 	movk	w2, 0x60, lsl 16
 	mov	x0, x26
-.LBE1683:
-.LBE1686:
-	.loc 1 2162 0
+.LBE1675:
+.LBE1678:
+	.loc 1 2168 0
 	add	x7, x3, 10485760
-	str	x7, [x22, 32]
-	.loc 1 2163 0
-	str	x6, [x21, 168]
-	.loc 1 2162 0
+	str	x7, [x21, 32]
+	.loc 1 2169 0
+	str	x6, [x19, 168]
+	.loc 1 2168 0
 	add	x3, x3, 11534336
-	.loc 1 2161 0
-	str	x5, [x22, 64]
-	.loc 1 2162 0
-	stp	x4, x3, [x22, 48]
-	.loc 1 2166 0
-	str	x1, [x21, 112]
-.LBB1687:
-.LBB1684:
+	.loc 1 2167 0
+	str	x5, [x21, 64]
+	.loc 1 2168 0
+	stp	x4, x3, [x21, 48]
+	.loc 1 2172 0
+	str	x1, [x19, 112]
+.LBB1679:
+.LBB1676:
 	.loc 2 711 0
-	ldrsw	x1, [x21, 20]
-.LBE1684:
-.LBE1687:
-	.loc 1 2163 0
-	str	x4, [x21, 176]
-.LBB1688:
-.LBB1685:
+	ldrsw	x1, [x19, 20]
+.LBE1676:
+.LBE1679:
+	.loc 1 2169 0
+	str	x4, [x19, 176]
+.LBB1680:
+.LBB1677:
 	.loc 2 711 0
 	bl	devm_kmalloc
-.LVL553:
-.LBE1685:
-.LBE1688:
-	.loc 1 2169 0
-	str	x0, [x21, 128]
-	.loc 1 2170 0
-	cbz	x0, .L612
-.LBB1689:
-.LBB1690:
+.LVL570:
+.LBE1677:
+.LBE1680:
+	.loc 1 2175 0
+	str	x0, [x19, 128]
+	.loc 1 2176 0
+	cbz	x0, .L617
+.LBB1681:
+.LBB1682:
 	.loc 2 711 0
-	ldrsw	x1, [x21, 20]
+	ldrsw	x1, [x19, 20]
 	mov	w2, 32960
 	movk	w2, 0x60, lsl 16
 	mov	x0, x26
 	bl	devm_kmalloc
-.LVL554:
-.LBE1690:
-.LBE1689:
-	.loc 1 2172 0
-	str	x0, [x21, 136]
-	.loc 1 2173 0
-	cbz	x0, .L612
-.LBB1691:
-.LBB1692:
+.LVL571:
+.LBE1682:
+.LBE1681:
+	.loc 1 2178 0
+	str	x0, [x19, 136]
+	.loc 1 2179 0
+	cbz	x0, .L617
+.LBB1683:
+.LBB1684:
 	.loc 2 711 0
-	ldrsw	x1, [x21, 20]
+	ldrsw	x1, [x19, 20]
 	mov	w2, 32960
 	movk	w2, 0x60, lsl 16
 	mov	x0, x26
 	bl	devm_kmalloc
-.LVL555:
-.LBE1692:
-.LBE1691:
-	.loc 1 2175 0
-	str	x0, [x21, 144]
-	.loc 1 2176 0
-	cbz	x0, .L612
-	.loc 1 2183 0
-	ldp	w1, w0, [x22, 84]
-.LBB1693:
-.LBB1694:
+.LVL572:
+.LBE1684:
+.LBE1683:
+	.loc 1 2181 0
+	str	x0, [x19, 144]
+	.loc 1 2182 0
+	cbz	x0, .L617
+	.loc 1 2189 0
+	ldp	w1, w0, [x21, 84]
+.LBB1685:
+.LBB1686:
 	.loc 2 711 0
 	mov	w2, 32960
 	movk	w2, 0x60, lsl 16
 	mul	w1, w1, w0
 	mov	x0, x26
 	bl	devm_kmalloc
-.LVL556:
-.LBE1694:
-.LBE1693:
-	.loc 1 2183 0
-	str	x0, [x21, 152]
-	.loc 1 2184 0
-	cbz	x0, .L612
-	.loc 1 2186 0
-	ldp	w2, w1, [x22, 84]
+.LVL573:
+.LBE1686:
+.LBE1685:
+	.loc 1 2189 0
+	str	x0, [x19, 152]
+	.loc 1 2190 0
+	cbz	x0, .L617
+	.loc 1 2192 0
+	ldp	w2, w1, [x21, 84]
 	mul	w2, w2, w1
 	mov	w1, 0
 	bl	memset
-.LVL557:
-	.loc 1 2187 0
-	ldrsw	x2, [x21, 20]
+.LVL574:
+	.loc 1 2193 0
+	ldrsw	x2, [x19, 20]
 	mov	w1, 255
-	ldr	x0, [x21, 144]
+	ldr	x0, [x19, 144]
 	bl	memset
-.LVL558:
-.LBE1696:
-.LBE1701:
-.LBB1702:
-.LBB1703:
-	.loc 1 2081 0
-	ldr	x26, [x19, 272]
-.LVL559:
+.LVL575:
+.LBE1688:
+.LBE1693:
+.LBB1694:
+.LBB1695:
 	.loc 1 2087 0
-	adrp	x1, .LC38
+	ldr	x26, [x20, 272]
+.LVL576:
+	.loc 1 2093 0
+	adrp	x1, .LC40
 	mov	w2, 0
-	add	x1, x1, :lo12:.LC38
+	add	x1, x1, :lo12:.LC40
 	ldr	x0, [x26, 752]
 	bl	of_parse_phandle
-.LVL560:
-	.loc 1 2088 0
-	cbz	x0, .L642
-	.loc 1 2091 0
+.LVL577:
+	.loc 1 2094 0
+	cbz	x0, .L647
+	.loc 1 2097 0
 	add	x2, x29, 104
 	mov	w1, 0
 	bl	of_address_to_resource
-.LVL561:
-	mov	w24, w0
-	.loc 1 2093 0
-	cbz	w0, .L686
-.L613:
-.LBE1703:
-.LBE1702:
-	.loc 1 2409 0
-	adrp	x1, .LC71
-	mov	x0, x20
-	add	x1, x1, :lo12:.LC71
+.LVL578:
+	mov	w25, w0
+	.loc 1 2099 0
+	cbz	w0, .L695
+.L618:
+.LBE1695:
+.LBE1694:
+	.loc 1 2435 0
+	adrp	x1, .LC73
+	mov	x0, x22
+	add	x1, x1, :lo12:.LC73
 	bl	_dev_err
-.LVL562:
-	.loc 1 2410 0
+.LVL579:
+	.loc 1 2436 0
 	b	.L595
-.LVL563:
+.LVL580:
+	.p2align 3
+.L609:
+	.loc 1 2417 0
+	mov	w25, -22
+	.loc 1 2416 0
+	adrp	x1, .LC77
+	mov	w2, w25
+	add	x1, x1, :lo12:.LC77
+	mov	x0, x22
+	bl	_dev_err
+.LVL581:
+	.loc 1 2417 0
+	b	.L595
+.LVL582:
 	.p2align 3
-.L604:
+.L691:
+	.loc 1 2390 0
+	adrp	x1, .LC30
+	mov	x0, x22
+.LVL583:
+	add	x1, x1, :lo12:.LC30
 	.loc 1 2391 0
-	mov	w24, -22
+	mov	w25, -19
 	.loc 1 2390 0
-	adrp	x1, .LC75
-	mov	w2, w24
-	add	x1, x1, :lo12:.LC75
-	mov	x0, x20
 	bl	_dev_err
-.LVL564:
-.L595:
-	.loc 1 2434 0
-	add	x23, x23, :lo12:__stack_chk_guard
-	mov	w0, w24
-.LVL565:
-	ldr	x2, [x29, 200]
-	ldr	x1, [x23]
-	eor	x1, x2, x1
-	cbnz	x1, .L687
-	ldp	x19, x20, [sp, 16]
-	ldp	x21, x22, [sp, 32]
-.LVL566:
-	ldp	x23, x24, [sp, 48]
-	ldp	x25, x26, [sp, 64]
-.LVL567:
-	ldp	x27, x28, [sp, 80]
-.LVL568:
-	ldp	x29, x30, [sp], 208
-	.cfi_remember_state
-	.cfi_restore 30
-	.cfi_restore 29
-	.cfi_restore 27
-	.cfi_restore 28
-	.cfi_restore 25
-	.cfi_restore 26
-	.cfi_restore 23
-	.cfi_restore 24
-	.cfi_restore 21
-	.cfi_restore 22
-	.cfi_restore 19
-	.cfi_restore 20
-	.cfi_def_cfa 31, 0
-	ret
-.LVL569:
+.LVL584:
+	.loc 1 2391 0
+	b	.L595
+.LVL585:
 	.p2align 3
-.L685:
-	.cfi_restore_state
-.LBB1710:
-.LBB1697:
-	.loc 1 2137 0
-	adrp	x1, .LC37
-	mov	x0, x26
-	add	x1, x1, :lo12:.LC37
-	bl	_dev_err
-.LVL570:
-.L609:
-.LBE1697:
-.LBE1710:
+.L607:
+	.loc 1 2402 0
+	adrp	x1, .LC32
+	mov	x0, x22
+	add	x1, x1, :lo12:.LC32
+	.loc 1 2403 0
+	mov	w25, -517
 	.loc 1 2402 0
-	adrp	x1, .LC70
-	mov	x0, x20
-	add	x1, x1, :lo12:.LC70
 	bl	_dev_err
-.LVL571:
+.LVL586:
 	.loc 1 2403 0
 	b	.L595
-.LVL572:
-	.p2align 3
-.L608:
-.LBB1711:
-.LBB1671:
-	.loc 1 1720 0
-	str	wzr, [x22, 96]
-	b	.L634
+.LVL587:
 	.p2align 3
-.L607:
-.LBB1660:
-.LBB1658:
-.LBB1656:
-	.loc 14 499 0
-	ldr	x0, [x20, 752]
-	adrp	x1, .LC35
-.LBE1656:
-.LBE1658:
-.LBE1660:
-	.loc 1 1717 0
-	str	wzr, [x22, 92]
-.LBB1661:
-.LBB1659:
-.LBB1657:
-	.loc 14 499 0
-	mov	x4, 0
-	mov	x3, 1
-	add	x2, x19, 120
-	add	x1, x1, :lo12:.LC35
-	bl	of_property_read_variable_u32_array
-.LVL573:
-	.loc 14 501 0
-	tbz	w0, #31, .L634
-	b	.L608
-	.p2align 3
-.L606:
-.LBE1657:
-.LBE1659:
-.LBE1661:
-.LBB1662:
-.LBB1651:
-.LBB1649:
-	.loc 14 499 0
-	ldr	x0, [x20, 752]
-	adrp	x1, .LC34
-.LBE1649:
-.LBE1651:
-.LBE1662:
-	.loc 1 1714 0
-	str	wzr, [x22, 156]
-.LBB1663:
-.LBB1652:
-.LBB1650:
-	.loc 14 499 0
-	mov	x4, 0
-	mov	x3, 1
-	add	x2, x19, 116
-	add	x1, x1, :lo12:.LC34
-	bl	of_property_read_variable_u32_array
-.LVL574:
-	.loc 14 501 0
-	tbz	w0, #31, .L633
-	b	.L607
-	.p2align 3
-.L605:
-.LBE1650:
-.LBE1652:
-.LBE1663:
-.LBB1664:
-.LBB1644:
-.LBB1642:
-	.loc 14 499 0
-	ldr	x0, [x20, 752]
-	adrp	x1, .LC33
-.LBE1642:
-.LBE1644:
-.LBE1664:
-	.loc 1 1711 0
-	str	wzr, [x22, 152]
-.LBB1665:
-.LBB1645:
-.LBB1643:
-	.loc 14 499 0
-	mov	x4, 0
-	mov	x3, 1
-	add	x2, x19, 180
-	add	x1, x1, :lo12:.LC33
-	bl	of_property_read_variable_u32_array
-.LVL575:
-	.loc 14 501 0
-	tbz	w0, #31, .L632
-	b	.L606
-	.p2align 3
-.L684:
-.LBE1643:
-.LBE1645:
-.LBE1665:
-.LBB1666:
-.LBB1637:
-.LBB1635:
-	.loc 14 499 0
-	ldr	x0, [x20, 752]
-	adrp	x1, .LC32
-.LBE1635:
-.LBE1637:
-.LBE1666:
-	.loc 1 1708 0
-	str	wzr, [x22, 148]
-.LBB1667:
-.LBB1638:
-.LBB1636:
-	.loc 14 499 0
-	mov	x4, 0
-	mov	x3, 1
-	add	x2, x19, 176
-	add	x1, x1, :lo12:.LC32
-	bl	of_property_read_variable_u32_array
-.LVL576:
-	.loc 14 501 0
-	tbz	w0, #31, .L631
-	b	.L605
-.LVL577:
-	.p2align 3
-.L686:
-.LBE1636:
-.LBE1638:
-.LBE1667:
-.LBE1671:
-.LBE1711:
-.LBB1712:
-.LBB1706:
-	.loc 1 2099 0
+.L694:
+.LBB1702:
+.LBB1689:
+	.loc 1 2143 0
+	adrp	x1, .LC39
+	mov	x0, x26
+	add	x1, x1, :lo12:.LC39
+	bl	_dev_err
+.LVL588:
+.L614:
+.LBE1689:
+.LBE1702:
+	.loc 1 2428 0
+	adrp	x1, .LC72
+	mov	x0, x22
+	add	x1, x1, :lo12:.LC72
+	bl	_dev_err
+.LVL589:
+	.loc 1 2429 0
+	b	.L595
+.LVL590:
+.L695:
+.LBB1703:
+.LBB1698:
+	.loc 1 2105 0
 	mov	x0, x26
 	mov	x3, 1
-.LBB1704:
-.LBB1705:
+.LBB1696:
+.LBB1697:
 	.loc 15 204 0
 	ldp	x1, x26, [x29, 104]
-.LVL578:
+.LVL591:
 	add	x26, x26, 1
 	sub	x26, x26, x1
-.LBE1705:
-.LBE1704:
-	.loc 1 2099 0
+.LBE1697:
+.LBE1696:
+	.loc 1 2105 0
 	sxtw	x2, w26
 	bl	devm_memremap
-.LVL579:
-	str	x0, [x19, 376]
-	.loc 1 2101 0
-	cbz	x0, .L688
-	.loc 1 2106 0
-	bl	epd_lut_from_mem_init
-.LVL580:
+.LVL592:
+	str	x0, [x20, 376]
 	.loc 1 2107 0
-	tbnz	w0, #31, .L689
-.L615:
-.LBE1706:
-.LBE1712:
-.LBB1713:
-.LBB1714:
-	.loc 1 2196 0
-	add	x0, x19, 736
+	cbz	x0, .L696
+	.loc 1 2112 0
+	bl	epd_lut_from_mem_init
+.LVL593:
+	.loc 1 2113 0
+	tbnz	w0, #31, .L697
+.L620:
+.LBE1698:
+.LBE1703:
+.LBB1704:
+.LBB1705:
+	.loc 1 2202 0
+	add	x0, x20, 736
 	mov	x1, 68719476704
-	str	x1, [x21, 544]
-	.loc 1 2198 0
-	add	x25, x25, :lo12:.LANCHOR0
-.LBB1715:
-.LBB1716:
-.LBB1717:
-.LBB1718:
-.LBB1719:
+	str	x1, [x19, 544]
+	.loc 1 2204 0
+	add	x24, x24, :lo12:.LANCHOR0
+.LBB1706:
+.LBB1707:
+.LBB1708:
+.LBB1709:
+.LBB1710:
 	.loc 12 288 0
-	str	x0, [x19, 736]
-.LBE1719:
-.LBE1718:
-.LBE1717:
-.LBE1716:
-.LBE1715:
-	.loc 1 2194 0
+	str	x0, [x20, 736]
+.LBE1710:
+.LBE1709:
+.LBE1708:
+.LBE1707:
+.LBE1706:
+	.loc 1 2200 0
 	mov	w26, 99
-.LBB1721:
-.LBB1720:
+.LBB1712:
+.LBB1711:
 	.file 16 "./include/linux/list.h"
 	.loc 16 29 0
 	str	x0, [x0, 8]
-.LBE1720:
-.LBE1721:
-	.loc 1 2196 0
+.LBE1711:
+.LBE1712:
+	.loc 1 2202 0
 	adrp	x0, new_buffer_refresh
 	add	x0, x0, :lo12:new_buffer_refresh
-	str	x0, [x21, 568]
-	.loc 1 2198 0
-	adrp	x3, .LC72
+	str	x0, [x19, 568]
+	.loc 1 2204 0
+	adrp	x3, .LC74
 	mov	w2, -1
-	add	x3, x3, :lo12:.LC72
-	mov	x1, x21
+	add	x3, x3, :lo12:.LC74
+	mov	x1, x19
 	adrp	x0, ebc_auto_tast_function
-	.loc 1 2194 0
+	.loc 1 2200 0
 	str	w26, [x29, 104]
-	.loc 1 2198 0
+	.loc 1 2204 0
 	add	x0, x0, :lo12:ebc_auto_tast_function
 	bl	kthread_create_on_node
-.LVL581:
-	str	x0, [x25, 8]
-	.loc 1 2199 0
+.LVL594:
+	str	x0, [x24, 8]
+	.loc 1 2205 0
 	cmn	x0, #4096
-	bhi	.L690
-	.loc 1 2203 0
+	bhi	.L698
+	.loc 1 2209 0
 	add	x2, x29, 104
 	mov	w1, 1
 	bl	sched_setscheduler_nocheck
-.LVL582:
-	.loc 1 2204 0
-	ldr	x2, [x25, 8]
-.LBB1722:
-.LBB1723:
+.LVL595:
+	.loc 1 2210 0
+	ldr	x2, [x24, 8]
+.LBB1713:
+.LBB1714:
 	.file 17 "./arch/arm64/include/asm/atomic_lse.h"
 	.loc 17 47 0
 	mov	w0, 1
-.LVL583:
+.LVL596:
 	add	x1, x2, 48
-.LVL584:
+.LVL597:
 #APP
 // 47 "./arch/arm64/include/asm/atomic_lse.h" 1
 	.arch_extension lse
@@ -7205,49 +7178,49 @@ ebc_probe:
 .endif
 
 // 0 "" 2
-.LVL585:
+.LVL598:
 #NO_APP
-.LBE1723:
-.LBE1722:
-.LBB1724:
-	.loc 1 2207 0
-	adrp	x3, .LC43
+.LBE1714:
+.LBE1713:
+.LBB1715:
+	.loc 1 2213 0
+	adrp	x3, .LC45
 	adrp	x0, ebc_thread
-.LVL586:
-	add	x3, x3, :lo12:.LC43
+.LVL599:
+	add	x3, x3, :lo12:.LC45
 	mov	w2, -1
 	add	x0, x0, :lo12:ebc_thread
-	mov	x1, x21
-.LBE1724:
-	.loc 1 2206 0
+	mov	x1, x19
+.LBE1715:
+	.loc 1 2212 0
 	str	w26, [x29, 104]
-.LBB1725:
-	.loc 1 2207 0
+.LBB1716:
+	.loc 1 2213 0
 	bl	kthread_create_on_node
-.LVL587:
-	mov	x25, x0
-.LVL588:
+.LVL600:
+	mov	x24, x0
+.LVL601:
 	cmn	x0, #4096
-	bhi	.L617
+	bhi	.L622
 	bl	wake_up_process
-.LVL589:
-.LBE1725:
-	str	x25, [x21, 120]
-	.loc 1 2212 0
+.LVL602:
+.LBE1716:
+	str	x24, [x19, 120]
+	.loc 1 2218 0
 	add	x2, x29, 104
 	mov	w1, 1
-	mov	x0, x25
+	mov	x0, x24
 	bl	sched_setscheduler_nocheck
-.LVL590:
-	.loc 1 2213 0
-	ldr	x2, [x21, 120]
-.LBB1726:
-.LBB1727:
+.LVL603:
+	.loc 1 2219 0
+	ldr	x2, [x19, 120]
+.LBB1717:
+.LBB1718:
 	.loc 17 47 0
 	mov	w0, 1
-.LVL591:
+.LVL604:
 	add	x1, x2, 48
-.LVL592:
+.LVL605:
 #APP
 // 47 "./arch/arm64/include/asm/atomic_lse.h" 1
 	.arch_extension lse
@@ -7275,62 +7248,62 @@ ebc_probe:
 .endif
 
 // 0 "" 2
-.LVL593:
+.LVL606:
 #NO_APP
-.LBE1727:
-.LBE1726:
-.LBE1714:
-.LBE1713:
-.LBB1730:
-.LBB1731:
-	.loc 1 2222 0
+.LBE1718:
+.LBE1717:
+.LBE1705:
+.LBE1704:
+.LBB1721:
+.LBB1722:
+	.loc 1 2228 0
 	mov	w0, -1
-.LVL594:
-	str	w0, [x21, 48]
-.LBB1732:
-.LBB1733:
+.LVL607:
+	str	w0, [x19, 48]
+.LBB1723:
+.LBB1724:
 	.loc 4 39 0
-	add	x0, x19, 400
-.LVL595:
-.LBE1733:
-.LBE1732:
-	.loc 1 2226 0
-	str	wzr, [x21, 28]
-	.loc 1 2225 0
-	str	wzr, [x21, 80]
-.LBB1738:
-.LBB1734:
+	add	x0, x20, 400
+.LVL608:
+.LBE1724:
+.LBE1723:
+	.loc 1 2232 0
+	str	wzr, [x19, 28]
+	.loc 1 2231 0
+	str	wzr, [x19, 80]
+.LBB1729:
+.LBB1725:
 	.loc 4 43 0
-	adrp	x1, .LC44
-.LBE1734:
-.LBE1738:
-	.loc 1 2221 0
-	str	wzr, [x21, 184]
-.LBB1739:
-.LBB1735:
+	adrp	x1, .LC46
+.LBE1725:
+.LBE1729:
+	.loc 1 2227 0
+	str	wzr, [x19, 184]
+.LBB1730:
+.LBB1726:
 	.loc 4 43 0
-	add	x1, x1, :lo12:.LC44
-.LBE1735:
-.LBE1739:
-	.loc 1 2223 0
-	str	wzr, [x21, 592]
-	.loc 1 2233 0
-	add	x25, x19, 616
-.LVL596:
-	.loc 1 2224 0
-	str	wzr, [x21, 596]
-	.loc 1 2234 0
+	add	x1, x1, :lo12:.LC46
+.LBE1726:
+.LBE1730:
+	.loc 1 2229 0
+	str	wzr, [x19, 592]
+	.loc 1 2239 0
+	add	x24, x20, 616
+.LVL609:
+	.loc 1 2230 0
+	str	wzr, [x19, 596]
+	.loc 1 2240 0
 	adrp	x26, jiffies
-.LBB1740:
-.LBB1736:
+.LBB1731:
+.LBB1727:
 	.loc 4 42 0
 	stp	xzr, xzr, [x0]
-.LBE1736:
-.LBE1740:
-	.loc 1 2234 0
+.LBE1727:
+.LBE1731:
+	.loc 1 2240 0
 	mov	x27, 268435455
-.LBB1741:
-.LBB1737:
+.LBB1732:
+.LBB1728:
 	.loc 4 42 0
 	stp	xzr, xzr, [x0, 16]
 	stp	xzr, xzr, [x0, 32]
